kind: pipeline
name: default

steps:
- name: test
  image: debian:bullseye
  commands:
    - apt update -y
    - apt install -y python3-pip jython
    - pip3 install nose flake8
    # Core
    - export YTDL_TEST_SET=core
    - export JYTHON=true;
    - bash ./devscripts/run_tests.sh || true
    # Download
    - export YTDL_TEST_SET=download
    - export JYTHON=true;
    - bash ./devscripts/run_tests.sh || true
    # Check syntax
    - flake8 .
